Galileo

[KSP 1.6.1] Stock Visual Enhancements [v1.4.1] [20 March 2019]

Recommended Posts

36 minutes ago, Errol said:

Found a conflict with kopernicus. Here are the logs from a fresh install with only OPM and SVE plus their dependencies and AVC. All the latest versions. No errors with the default E.V.E configs (BoulderCo).

https://www.dropbox.com/sh/3w1thtr1iv062qq/AADHdrz7pxCTRq2ZmY4y-sr-a?dl=0

What’s the issue, though? What am I looking for?

Share this post


Link to post
Share on other sites

@Galileo I get a dialogue at the main menu warning me that there was an issue with loading the kopernicus planet pack, and to contact the mod authors. It also warns not to attempt loading a save. Trying to load into a game, it gets stuck on the loading screen and I never get into KSC.

https://www.dropbox.com/s/mfhzxf7n1es7fgm/Screenshot 2018-04-11 12.54.04.png?dl=0

Edited by Errol

Share this post


Link to post
Share on other sites
Just now, Errol said:

I get a dialogue at the main menu warning me that there was an issue with loading the kopernicus planet pack, and to contact the mod authors. It also warns not to attempt loading a save. The one time I did bother trying to load into a game it ended up getting stuck on the loading screen and I never got into KSC.

Reinstall everything. Fresh. I run the latest stuff everyday, and developed everything with the latest OPM installed. I have seen people running the latest versions without issue as well and the fact that nobody else has reported this issue tells me it’s probably not on my end considering how many people use SVE and OPM. Ensure you have the latest everything for the version of ksp you run. 

Share this post


Link to post
Share on other sites

I just downloaded everything fresh today. This is not a kopernicus or EVE issue, as they work fine with the BoulderCo configs.

Share this post


Link to post
Share on other sites
1 minute ago, Errol said:

I just downloaded everything fresh today. This is not a kopernicus or EVE issue, as they work fine with the BoulderCo configs.

I assume you didn’t download the latest sve textures. Kopernicus is looking for a texture you don’t have.

Edited by Galileo

Share this post


Link to post
Share on other sites
Just now, Errol said:

I am using the low res textures.

Yes, the latest ones?

Share this post


Link to post
Share on other sites

Wow....I don't know what happened but I just tried re-downloading the low res texture pack, just to make sure, and it appears to work now. Perhaps the initial textures I downloaded got corrupted somehow (I live off the grid, and loose power when it is cloudy sometimes, like in the middle of typing this post for example). 

EDIT: I notice kerbin has taken on a noticeable blueish hue that was not there in previous versions, is this intended?

https://www.dropbox.com/s/4d8uqgnkv2rdh19/Screenshot 2018-04-11 13.26.23.png?dl=0

Edited by Errol

Share this post


Link to post
Share on other sites
5 minutes ago, Errol said:

Wow....I don't know what happened but I just tried re-downloading the low res texture pack, just to make sure, and it appears to work now. Perhaps the initial textures I downloaded got corrupted somehow (I live off the grid, and loose power when it is cloudy sometimes).

Cool

Share this post


Link to post
Share on other sites
1 minute ago, Galileo said:

Cool

(I added a screenshot and question to my post above)

Share this post


Link to post
Share on other sites

Hi! Pls, help me. )) Witch last version SVE and SVT can i installed for KSP 1.3.1?

Share this post


Link to post
Share on other sites
7 hours ago, The-Doctor said:

Does this work with OPM? 

Did you actually try reading the first post in the thread? It answers your question quite clearly:

"Added clouds and scatterer support for OPM" 

  • Like 4

Share this post


Link to post
Share on other sites
On 12/04/2018 at 12:18 AM, nickicool said:

Hi! Pls, help me. )) Witch last version SVE and SVT can i installed for KSP 1.3.1?

It looks like the last version of SVE to support 1.3.1 was v1.2.9.0, presumably with version 1.0.4 textures.

For SVT, it looks like it was version 2.1.3.

You'll also have to make sure you've got the correct versions of EVE (for SVE) and Kopernicus (for SVT).

Share this post


Link to post
Share on other sites
7 hours ago, UnanimousCoward said:

It looks like the last version of SVE to support 1.3.1 was v1.2.9.0, presumably with version 1.0.4 textures.

For SVT, it looks like it was version 2.1.3.

You'll also have to make sure you've got the correct versions of EVE (for SVE) and Kopernicus (for SVT).

Thank you very much!!

Share this post


Link to post
Share on other sites

@GalileoNow I got this, I think it's the reason for my other post at https://forum.kerbalspaceprogram.com/index.php?/topic/149733-14-13-122-environmentalvisualenhancements-140-1/&do=findComment&comment=3353432

It's not Kerbin, but it's an issue whatsoever.

GameData\StockVisualEnhancements\SVE_Configs\OPMClouds.cfg

[EVE CloudsManager]: Unable to parse config node:
OBJECT
{
	offset = 0,0,0
	speed = 0,30,0
	altitude = 6000
	body = Thatmo
	name = Thatmo-MainClouds
	settings
	{
		_DetailDist = 0.325E-07
		_Color = 255,255,255,150
		_UVNoiseScale = 0.0039999998
		_UVNoiseStrength = 0.0001600001
		_UVNoiseAnimation = 0.2,0.2
		_DistFadeVert = 3.99999E-05
		_DetailScale = 10
		_MainTex
		{
			value = StockVisualEnhancements/Textures/GratianClouds
		}
		_DetailTex
		{
			value = StockVisualEnhancements/Textures/DetailLow
		}
		_UVNoiseTex
		{
			value = StockVisualEnhancements/Textures/uvnoise1
		}
	}
	layer2D
	{
		macroCloudMaterial
		{
			_InvFade = 0.02
			_FalloffPow = 0.7
			_RimDist = 0.001
			_FalloffScale = 10
		}
		shadowMaterial
		{
			_ShadowFactor = 0.15
		}
	}
}

 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

EVEManager: Issue loading CloudsManager! Error:
UnityEngine.UnityException: Unable to apply node! ---> UnityEngine.UnityException: Unable to parse "settings" in "OBJECT"! ---> UnityEngine.UnityException: Unable to parse "_MainTex" in "settings"!
  at Utils.ConfigHelper.LoadObjectFromConfig (System.Object obj, .ConfigNode node) [0x00000] in <filename unknown>:0 
  at Utils.ConfigHelper.Parse (System.Reflection.FieldInfo field, System.Object& obj, System.String[] value, .ConfigNode node) [0x00000] in <filename unknown>:0 
  at Utils.ConfigHelper.LoadObjectFromConfig (System.Object obj, .ConfigNode node) [0x00000] in <filename unknown>:0 
  --- End of inner exception stack trace ---
  at Utils.ConfigHelper.LoadObjectFromConfig (System.Object obj, .ConfigNode node) [0x00000] in <filename unknown>:0 
  at Atmosphere.CloudsObject.LoadConfigNode (.ConfigNode node) [0x00000] in <filename unknown>:0 
  at Atmosphere.CloudsManager.ApplyConfigNode (.ConfigNode node) [0x00000] in <filename unknown>:0 
  at EVEManager.EVEManagerBase.Apply () [0x00000] in <filename unknown>:0 
  --- End of inner exception stack trace ---
  at EVEManager.EVEManagerBase.Apply () [0x00000] in <filename unknown>:0 
  at EVEManager.EVEManagerBase.LoadConfig () [0x00000] in <filename unknown>:0 
  at EVEManager.GenericEVEManager`1[T].Setup () [0x00000] in <filename unknown>:0 
  at EVEManager.GlobalEVEManager.Setup (Boolean late) [0x00000] in <filename unknown>:0 
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

@Thomas P. and there is also this little one

IndexOutOfRangeException: Array index is out of range.
  at (wrapper stelemref) object:stelemref (object,intptr,object)
  at Kopernicus.Components.KopernicusStarOcclusion.Start () [0x00000] in <filename unknown>:0 
 
(Filename:  Line: -1)

IndexOutOfRangeException: Array index is out of range.
  at (wrapper stelemref) object:stelemref (object,intptr,object)
  at Kopernicus.Components.KopernicusStarOcclusion.Start () [0x00000] in <filename unknown>:0 
 
(Filename:  Line: -1)

https://www.dropbox.com/s/miult4rxhqjhby7/2018-04-13_2 KSP.log.7z?dl=1

Share this post


Link to post
Share on other sites

If you look, "Unable to parse config node:" error is because the SVE OPMClouds.cfg is referencing a non existent texture. --> value = StockVisualEnhancements/Textures/GratianClouds

I downloaded all three low, med and high SVE texture packs and non contain that file. So it either misnamed or the file is missing.

Share this post


Link to post
Share on other sites

How do I get this orange light between day and night?

 

 

cfdf48cf76b7cf548f3e0d690938753f.png

Edited by PoomTGP

Share this post


Link to post
Share on other sites
9 hours ago, Barar said:

If you look, "Unable to parse config node:" error is because the SVE OPMClouds.cfg is referencing a non existent texture. --> value = StockVisualEnhancements/Textures/GratianClouds

I downloaded all three low, med and high SVE texture packs and non contain that file. So it either misnamed or the file is missing.

Doesn't that file only apply for the Outer Planets Mod?

6 hours ago, PoomTGP said:

How do I get this orange light between day and night?

cfdf48cf76b7cf548f3e0d690938753f.png

I believe sunrise/sunset/terminator cloud color changes are a Scatterer feature.

Share this post


Link to post
Share on other sites
7 hours ago, PoomTGP said:

How do I get this orange light between day and night?

 

 

cfdf48cf76b7cf548f3e0d690938753f.png

You use a different visual mod because SVE doesn’t/won’t have it. I have said it multiple times just recently in this thread, so think the effect is ugle and unrealistic. It pains me to have it on Eve and Jool.

 

9 hours ago, Barar said:

If you look, "Unable to parse config node:" error is because the SVE OPMClouds.cfg is referencing a non existent texture. --> value = StockVisualEnhancements/Textures/GratianClouds

I downloaded all three low, med and high SVE texture packs and non contain that file. So it either misnamed or the file is missing.

Yes, I’m aware, but I won’t have time to fix it this weekend.

Edited by Galileo

Share this post


Link to post
Share on other sites

City lights no longer working with either BoulderCo or SVE. I just tried to reinstall all  EVE and SVE again. Low, medium or high texture setting generates no city textures, lit or not  

I’m on 1.4.2, Steam Mac. CKAN said there were updates, I think that’s when it broke.

I have clouds, but not as many as before. 

Share this post


Link to post
Share on other sites

Hello Galileo. Thanks for mantaining the awesome mods as always.

I think I'm getting too many clouds after I install SVE. Like nowhere close to what pictures in this thread look like. Is this normal? I'm back after a long break with KSP and I don't remember if this was the usual behavior.

No SVE:

StWpmH9.jpg

SVE:

OKjFrE5.jpg

 

Modlist:

KA9T62w.jpg

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now